
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <Can_lib.h>

#define STDDEV "can1"

main(int argc,char **argv) {
int fd;
int i,sent;
canmsg_t tx[100];
char device[40];

    if(argc == 2) {
	sprintf(device, "/dev/%s", argv[1]);
    }
    else {
	sprintf(device, "/dev/%s", STDDEV);
    }
    printf("using CAN device %s\n", device);
    
    if(( fd = open(device, O_RDWR )) < 0 ) {
	fprintf(stderr,"Error opening CAN device %s\n", device);
        exit(1);
    }


for(i=0;i<20;i++) {
  sprintf( tx[i].data,"msg%d",i);
  tx[i].length = strlen(tx[i].data);  
  tx[i].id=500 + i;
}
sent=write(fd, tx, 20 ); /*sleep(1);*/
if(sent <= 0)
    printf("not ready");


close(fd);


}
